# subscriptionCharge

**Scope required:** billing:read

For a complete list of possible response fields see the [SubscriptionCharge](/developer/api-reference/types/subscriptioncharge.md) type.

```graphql
query subscriptionCharge ($id: ID, $code: String, $format: String) {
  subscriptionCharge (id: $id, code: $code, format: $format) {
    amount
    code
    createdAt
    discount
    discountedPrice
    endDate
    expired
    fullyBilled
    id
    invoiceLineText
    isAmendment
    isRamp
    name
    periodPrice
    price
    priceDecimals
    priceListChargeId
    priceListId
    prorationRate
    quantity
    quantityMax
    quantityMin
    selfServiceQuantity
    startDate
    subscriptionId
    subtotal
    taxAmount
    tieredAveragePrice
    trial
    updatedAt
  }
}
```

## Arguments

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| id     | ID     |             |
| code   | String |             |
| format | String |             |

## Response

* [SubscriptionCharge](/developer/api-reference/types/subscriptioncharge.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/subscriptioncharge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
